Get Folders (Folder)

Returns the list of folders from a specific folder in the current account. If the root or recycle bin folder id is specified, the method returns the list of folders of the root and recycle bin respectively.
The method operates in two modes:

  • Folder Tree Mode: Activated if no filter parameters are provided. This mode returns the requested folders (spaces), their descendant folders, the root folder, and the recycle bin folder.
  • Folders Mode: Activated if the parameter descendant=false is specified or if there is at least one filter parameter, e.g., project=true. This mode returns only the account's folders filtered by the specified parameters.

The chosen mode can be identified by the "kind" key in the result JSON body, with "kind": "folderTree" for Folder Tree Mode and "kind": "folders" for Folders Mode.

Scopes: Default, wsReadOnly, wsReadWrite

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
string
boolean
Defaults to true

Adds all descendant folders to search scope

metadata
object

Folders metadata filter

customField
object

[Deprecated] It is recommended to use 'customFields' parameter. Custom field filter

customFields
array of objects
length ≤ 25

Custom field filters, exact match. Limit : 25

customFields
updatedDate
object

Updated date filter, range

boolean

Include invitations in sharedIds list

boolean

Filter only projects (true) / only folders (false)

contractTypes
array of objects

Contract type filter

  • Billable - Billable
  • NonBillable - Non-Billable
contractTypes
boolean

Strip HTML tags from custom fields

customItemTypes
array of objects
length ≤ 1000

Custom item types filter. Standard types (project, folder) IDs are not allowed. Limit : 1000

customItemTypes
number

The number of folders to return (max 1000 items per page). Only 'folders' kind is supported

string

A pagination request will return a token that applies an offset to the next page. The returned value should be used as an input parameter in the next request. Parameter pageSize can be omitted in this case. If you included optional fields to the first request, you will need to include those in each new call. Only 'folders' kind is supported

customStatuses
array of objects

Custom statuses filter

customStatuses
authors
array of objects

Authors filter, match of any

authors
owners
array of strings

Assignees filter with specified users, match of any

owners
startDate
object

Start date filter, date match or range

endDate
object

End date filter, date match or range

completedDate
object

Completed date filter, date match or range

string

Title filter, contains match and accepts non-blank values only

fields
array of strings

Json string array of optional fields to be included in the response model

  • superParentIds - List of super parent folder IDs (applicable to 'Selective Sharing' labs feature)
  • metadata - Folder metadata entries
  • customItemTypeId - Work Item custom item type Id
  • customFields - Custom fields
  • customColumnIds - Associated custom field IDs
  • contractType - Contract type
  • description - Description
  • attachmentCount - Attachment count
  • hasAttachments - Has attachments
  • briefDescription - Brief description
  • space - Is folder a space
  • finance - Project Finance fields
fields
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json